<html lang="en">
<head>
<title>Bugs - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Miscellaneous-options.html#Miscellaneous-options" title="Miscellaneous options">
<link rel="next" href="Index.html#Index" title="Index">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Bugs"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Index.html#Index">Index</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Miscellaneous-options.html#Miscellaneous-options">Miscellaneous options</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">11 Bugs</h2>

<p>If you encounter something that you think is a bug, please report
it.  Try to include a clear description of the undesired behaviour. 
A test case that exhibits the bug, would also be useful.

   <p>You can report a bug with the command <kbd>M-x sgml-submit-bug-report</kbd>.

   <p>When PSGML needs contextual information it parses the document up to
the point.  During the parsing, it builds a parse tree.  The parse
tree is used to initialize the next parse, to avoid having to parse
things already parsed.  Changes to the buffer is supposed to prune
the tree of all outdated information.  But if you get strange
complaints from the parser, try and back up a bit and use <kbd>C-c
C-o</kbd> (<code>sgml-next-trouble-spot</code>).

<!--  -->
</body></html>

